#include <stdlib.h>
#include <unistd.h>

#include <nllibc.h>

int __getcwd(char *buf, size_t size);

char *getcwd(char *buf, size_t size)
{
  if (__getcwd(buf, size) < 0)
    return NULL;
  return buf;
}
